package swing.podstawy;

import java.awt.Color;
import java.awt.Font;

import javax.swing.JButton;
import javax.swing.JFrame;
import javax.swing.JLabel;

public class Okno3a {

	public static void main(String[] args) {
		JFrame frame = new JFrame("Nasza apka");
		frame.setSize(600, 400);
		frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		
		JLabel label1 = new JLabel("Hello world");
		label1.setHorizontalAlignment(JLabel.CENTER);
		// label1.setVerticalAlignment(JLabel.TOP);
		label1.setFont(new Font("Arial", Font.BOLD, 40));
		label1.setForeground(Color.BLUE);
		label1.setOpaque(true);
		label1.setBackground(Color.YELLOW);
		frame.add(label1);
		
		// Guzik zajął całe okno i nie widać w ogóle labela
		// Rozmieszczaniem elementów w oknie (ogólnie: komponentów w kontenerach)
		// zajmują się w Swingu obiekty typu LayputManager
		JButton button1 = new JButton("Guzik 1");
		button1.setFont(new Font("Arial", Font.BOLD, 40));
		frame.add(button1);
		
		frame.setVisible(true);
	}

}
